local addonName, addonTab = ...
local version = GetAddOnMetadata(addonName, "Version")
local addoninfo = 'v'..version
local WoWClient = {
	Retail = (WOW_PROJECT_ID == WOW_PROJECT_MAINLINE),
	Wrath = (WOW_PROJECT_ID == WOW_PROJECT_WRATH_CLASSIC),
	TBCC = (WOW_PROJECT_ID == WOW_PROJECT_BURNING_CRUSADE_CLASSIC),
	Vanilla = (WOW_PROJECT_ID == WOW_PROJECT_CLASSIC),
}

-- Micro Buttons and Bags Hide
BAG_BUTTONS = {
	"MainMenuBarBackpackButton",
	"CharacterBag0Slot",
	"CharacterBag1Slot",
	"CharacterBag2Slot",
	"CharacterBag3Slot",
}	

local DMHFrame = CreateFrame("Frame", addonName.."Frame", UIParent)
	DMHFrame:RegisterEvent("PLAYER_LOGIN");
	DMHFrame:RegisterEvent("PLAYER_ENTERING_WORLD");

	DMHFrame:SetScript("OnEvent", function(self, event, ...)
		if WoWClient.Retail then
			MicroButtonAndBagsBar:Hide()
			MicroButtonAndBagsBar:SetScript("OnShow", function(self)
				self:Hide()
			end)
		end
		if WoWClient.Wrath or WoWClient.TBCC or WoWClient.Vanilla then
			for i=1, #MICRO_BUTTONS do
				_G[MICRO_BUTTONS[i]]:Hide()
				_G[MICRO_BUTTONS[i]]:SetScript("OnShow", function(self)
					self:Hide()
				end)
			end
			for i=1, #BAG_BUTTONS do
				_G[BAG_BUTTONS[i]]:Hide()
				_G[BAG_BUTTONS[i]]:SetScript("OnShow", function(self)
					self:Hide()
				end)
			end
			KeyRingButton:Hide()
			KeyRingButton:SetScript("OnShow", function(self)
				self:Hide()
			end)
		end
	end)
